# These strings remain for compatibility with old versions of stack.
sevenzexe: "https://github.com/fpco/minghc/blob/master/bin/7z.exe?raw=true"
sevenzdll: "https://github.com/fpco/minghc/blob/master/bin/7z.dll?raw=true"

sevenzexe-info:
    url: "https://github.com/fpco/minghc/blob/master/bin/7z.exe?raw=true"
    content-length: 73728
    sha1: 187dff8a3327da87050f678579816e5bae40c632
sevenzdll-info:
    url: "https://github.com/fpco/minghc/blob/master/bin/7z.dll?raw=true"
    content-length: 447488
    sha1: 168a288d4456f0473f66e86a2d6fec4eb6f4b993
portable-git:
    version: 2.4.5.1
    url: "https://github.com/git-for-windows/git/releases/download/v2.4.5.windows.1/PortableGit-2.4.5.1-4th-release-candidate-32-bit.7z.exe"
    content-length: 44221160
    sha1: 3df088915f67297cb5ad3ab73ba9361fcb5e44ea
ghc:
    linux32:
        7.8:
            version: 7.8.4
            url: "https://www.haskell.org/ghc/dist/7.8.4/ghc-7.8.4-i386-unknown-linux-deb7.tar.xz"
            content-length: 69743420
            sha1: a5d4f65b9b063eae476657cb9b93277609c42cf1
        7.10:
            version: 7.10.2
            url: "https://www.haskell.org/ghc/dist/7.10.2/ghc-7.10.2-i386-unknown-linux-deb7.tar.xz"
            content-length: 90779224
            sha1: d02d88a2049fb7e9e375c54013a40229b41758f2

    linux64:
        7.8:
            version: 7.8.4
            url: "https://www.haskell.org/ghc/dist/7.8.4/ghc-7.8.4-x86_64-unknown-linux-deb7.tar.xz"
            content-length: 70325112
            sha1: 11aec12d4bb27f6fa59dcc8535a7a3b3be8cb787
        7.10:
            version: 7.10.2
            url: "https://www.haskell.org/ghc/dist/7.10.2/ghc-7.10.2-x86_64-unknown-linux-deb7.tar.xz"
            content-length: 91852904
            sha1: c32eff3ecb16eeb9a8682ae2222574a6d1a68bc1

    linux32-gmp4:
        7.8:
            version: 7.8.4
            url: "https://www.haskell.org/ghc/dist/7.8.4/ghc-7.8.4-i386-unknown-linux-centos65.tar.xz"
            content-length: 61873796
            sha1: 0ec1f10b38e1e94b41e260855f4744f271f462f2
        7.10:
            version: 7.10.2
            url: "https://www.haskell.org/ghc/dist/7.10.2/ghc-7.10.2-i386-unknown-linux-centos66.tar.xz"
            content-length: 87824296
            sha1: f37d2a1323c191ef9372e1256220691ec2f84b40

    linux64-gmp4:
        7.8:
            version: 7.8.4
            url: "https://www.haskell.org/ghc/dist/7.8.4/ghc-7.8.4-x86_64-unknown-linux-centos65.tar.xz"
            content-length: 61654528
            sha1: d204e2a1344734d1f60c79cf330b5e3f40b672a0
        7.10:
            version: 7.10.2
            url: "https://www.haskell.org/ghc/dist/7.10.2/ghc-7.10.2-x86_64-unknown-linux-centos66.tar.xz"
            content-length: 88804220
            sha1: e6f128245d66cd53711b1829122b38ba8ded70f1

    macosx:
        7.8:
            version: 7.8.4
            url: "https://www.haskell.org/ghc/dist/7.8.4/ghc-7.8.4-x86_64-apple-darwin.tar.bz2"
            content-length: 129602990
            sha1: b7aff3983e9005b74d90c5a4fd7c837f9e752923
        7.10:
            version: 7.10.2
            url: "https://www.haskell.org/ghc/dist/7.10.2/ghc-7.10.2-x86_64-apple-darwin.tar.bz2"
            content-length: 146921830
            sha1: 0a043340952fad211f4c9780bde873e0d9e4d331

    windowsintegersimple32:
        7.8:
            version: 7.8.4
            url: "https://s3.amazonaws.com/download.fpcomplete.com/ghc/ghc-7.8.4-i386-unknown-mingw32-integer-simple.tar.xz"
            content-length: 78390236
            sha1: c02ec0f80db83ba081943204894e6e83b7d378ba
        7.10:
            version: 7.10.2
            url: "https://s3.amazonaws.com/download.fpcomplete.com/ghc/ghc-7.10.2-i386-unknown-mingw32-integer-simple.tar.xz"
            content-length: 86325092
            sha1: 346a193ac16bf8fc050bb0de4355a3d298dfca51

    windowsintegersimple64:
        7.8:
            version: 7.8.4
            url: "https://s3.amazonaws.com/download.fpcomplete.com/ghc/ghc-7.8.4-x86_64-unknown-mingw32-integer-simple.tar.xz"
            content-length: 94397496
            sha1: 2b7c9e11990ba6e91032fb935d441fde8106c9cf
        7.10:
            version: 7.10.2
            url: "https://s3.amazonaws.com/download.fpcomplete.com/ghc/ghc-7.10.2-x86_64-unknown-mingw32-integer-simple.tar.xz"
            content-length: 103028936
            sha1: 1f0ffcb4dedc748a82118ee42ee1a4ebd4a8465a

    windows32:
        7.8:
            version: 7.8.4
            url: "https://www.haskell.org/ghc/dist/7.8.4/ghc-7.8.4-i386-unknown-mingw32.tar.xz"
            content-length: 75057588
            sha1: 9acfb321f1f8bbfcb6d6b58f6d88fe93f0abaf63
        7.10:
            version: 7.10.2
            url: "https://www.haskell.org/ghc/dist/7.10.2/ghc-7.10.2-i386-unknown-mingw32.tar.xz"
            content-length: 103096112
            sha1: e7dd5be85f5fb7f1fe90c590cfe354787472b715

    windows64:
        7.8:
            version: 7.8.4
            url: "https://www.haskell.org/ghc/dist/7.8.4/ghc-7.8.4-x86_64-unknown-mingw32.tar.xz"
            content-length: 92141344
            sha1: cec5b4c4fe612ac1fe9302f491ae58ac44812b26
        7.10:
            version: 7.10.2
            url: "https://www.haskell.org/ghc/dist/7.10.2/ghc-7.10.2-x86_64-unknown-mingw32.tar.xz"
            content-length: 134230828
            sha1: 5372a4ed3cb393bed7e1b0e0c454ecb051e85ddd

    freebsd32:
        7.8:
            version: 7.8.4
            url: "https://www.haskell.org/ghc/dist/7.8.4/ghc-7.8.4-i386-portbld-freebsd.tar.xz"
            content-length: 68504948
            sha1: fa6164a1408b94c719957b23f043da8539376351
        7.10:
            version: 7.10.2
            url: "https://www.haskell.org/ghc/dist/7.10.2/ghc-7.10.2-i386-portbld-freebsd.tar.xz"
            content-length: 87968692
            sha1: 6925a297932d1922f8e6c9f4ad0f0ccbdd3ea5b9

    freebsd64:
        7.8:
            version: 7.8.4
            url: "https://www.haskell.org/ghc/dist/7.8.4/ghc-7.8.4-x86_64-portbld-freebsd.tar.xz"
            content-length: 68223736
            sha1: 3507549290a8226febb1284a50c51a5f10261d94
        7.10:
            version: 7.10.2
            url: "https://www.haskell.org/ghc/dist/7.10.2/ghc-7.10.2-x86_64-portbld-freebsd.tar.xz"
            content-length: 88841932
            sha1: 43372109b84f55cf9138982f84f39cd178d95975

    # Untested so far, see: https://github.com/commercialhaskell/stack/issues/416#issuecomment-115553835
    openbsd64:
        7.8:
            version: 7.8.3
            url: "https://openbsd.dead-parrot.de/distfiles/ghc-7.8.3.20150623-amd64-unknown-openbsd.tar.bz2"
            content-length: 56087622
            sha1: 33e5d2fcc9be1e3123002ba06f76a3f4989c23a9
